net.minecraft.world

## Class Teleporter

- java.lang.Object
- - net.minecraft.world.Teleporter

-     public class Teleporter
      extends Object

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `Teleporter(WorldServer par1WorldServer)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `makePortal(Entity par1Entity)`
    `boolean` | `placeInExistingPortal(Entity par1Entity, double par2, double par4, double par6, float par8)` Place an entity in a nearby portal which already exists.
    `void` | `placeInPortal(Entity par1Entity, double par2, double par4, double par6, float par8)` Place an entity in a nearby portal, creating one if necessary.
    `void` | `removeStalePortalLocations(long par1)` called periodically to remove out-of-date portal locations from the cache list.

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### Teleporter

          public Teleporter(WorldServer par1WorldServer)

  - ### Method Detail

    - #### placeInPortal

          public void placeInPortal(Entity par1Entity,
                           double par2,
                           double par4,
                           double par6,
                           float par8)

      Place an entity in a nearby portal, creating one if necessary.

    - #### placeInExistingPortal

          public boolean placeInExistingPortal(Entity par1Entity,
                                      double par2,
                                      double par4,
                                      double par6,
                                      float par8)

      Place an entity in a nearby portal which already exists.

    - #### makePortal

          public boolean makePortal(Entity par1Entity)

    - #### removeStalePortalLocations

          public void removeStalePortalLocations(long par1)

      called periodically to remove out-of-date portal locations from the cache list. Argument par1 is a WorldServer.getTotalWorldTime() value.